<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="8eaaf244-eba9-47b2-a128-7c46802a5971" name="Changes" comment="drone-01-注释掉通知stage">
      <change beforePath="$PROJECT_DIR$/.drone.yml" beforeDir="false" afterPath="$PROJECT_DIR$/.drone.yml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/inspectionProfiles/Project_Default.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/inspectionProfiles/Project_Default.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/client-api/Dockerfile" beforeDir="false" afterPath="$PROJECT_DIR$/client-api/Dockerfile" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="master" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/client-api/src/main/java/com/wteam/controller/payment/CashierController.java" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="downloadSourcesAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 1
}</component>
  <component name="ProjectId" id="2VQyBxCGebSHWD3BxMfBmNM5QW4" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">{
  &quot;keyToString&quot;: {
    &quot;ASKED_ADD_EXTERNAL_FILES&quot;: &quot;true&quot;,
    &quot;RequestMappingsPanelOrder0&quot;: &quot;0&quot;,
    &quot;RequestMappingsPanelOrder1&quot;: &quot;1&quot;,
    &quot;RequestMappingsPanelWidth0&quot;: &quot;75&quot;,
    &quot;RequestMappingsPanelWidth1&quot;: &quot;75&quot;,
    &quot;RunOnceActivity.OpenProjectViewOnStart&quot;: &quot;true&quot;,
    &quot;RunOnceActivity.ShowReadmeOnStart&quot;: &quot;true&quot;,
    &quot;ToolWindowRun.ShowToolbar&quot;: &quot;false&quot;,
    &quot;WebServerToolWindowFactoryState&quot;: &quot;false&quot;,
    &quot;git-widget-placeholder&quot;: &quot;master&quot;,
    &quot;last_opened_file_path&quot;: &quot;D:/pojo/courtBooking/court_booking&quot;,
    &quot;node.js.detected.package.eslint&quot;: &quot;true&quot;,
    &quot;node.js.detected.package.tslint&quot;: &quot;true&quot;,
    &quot;node.js.selected.package.eslint&quot;: &quot;(autodetect)&quot;,
    &quot;node.js.selected.package.tslint&quot;: &quot;(autodetect)&quot;,
    &quot;nodejs_package_manager_path&quot;: &quot;npm&quot;,
    &quot;project.structure.last.edited&quot;: &quot;Project&quot;,
    &quot;project.structure.proportion&quot;: &quot;0.0&quot;,
    &quot;project.structure.side.proportion&quot;: &quot;0.0&quot;,
    &quot;settings.editor.selected.configurable&quot;: &quot;preferences.toDoOptions&quot;,
    &quot;spring.configuration.checksum&quot;: &quot;8c885b1d9b6b77e9df49058579a3cf2a&quot;,
    &quot;vue.rearranger.settings.migration&quot;: &quot;true&quot;
  },
  &quot;keyToStringList&quot;: {
    &quot;DatabaseDriversLRU&quot;: [
      &quot;mysql&quot;
    ]
  }
}</component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CreateClassDialog.RecentsKey">
      <recent name="com.wteam.framework.modules.image.mapper.service.impl" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\pojo\courtBooking\court_booking" />
      <recent name="D:\pojo\courtBooking\court_booking\framework\src\main\java\com\wteam\framework\modules\pay" />
      <recent name="D:\pojo\courtBooking\court_booking\framework\src\main\java\com\wteam\framework\modules\sms\entity\dos" />
      <recent name="D:\pojo\courtBooking\background-template\framework\src\main\java\com\wteam\framework\modules" />
      <recent name="D:\pojo\courtBooking\background-template\client-api\src\main\java\com\wteam\controller\wxlogin" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\pojo\courtBooking\court_booking\common-api\src\main\java\com\wteam\controller" />
      <recent name="D:\pojo\courtBooking\court_booking\framework\src\main\resources\pem" />
      <recent name="D:\pojo\courtBooking\court_booking\framework\src\main\resources" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.wteam.framework.modules.pay.serviceimpl" />
      <recent name="com.wteam.framework.modules.pay.entity.vo" />
      <recent name="com.wteam.framework.common.utils" />
      <recent name="com.wteam.controller.payment" />
      <recent name="com.wteam.framework.modules.payment.interceptor" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn idea :idea" />
      <command value="mvn idea:idea" />
    </option>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.GeneratorApplication">
    <configuration name="RegistrationTask" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.wteam.framework.modules.hardware.RegistrationTask" />
      <module name="framework" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wteam.framework.modules.hardware.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="StringDataExtractionTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.wteam.controller.card.StringDataExtractionTest" />
      <module name="client-api" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wteam.controller.card.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="com.wteam.controller.card.Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.wteam.controller.card.Main" />
      <module name="client-api" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wteam.controller.card.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.wteam.controller.card.main" />
      <module name="client-api" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wteam.controller.card.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JetRunConfigurationType">
      <module name="background-template" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="KotlinStandaloneScriptRunConfigurationType">
      <module name="background-template" />
      <option name="filePath" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="139" type="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" />
      <option name="HOST" value="139.9.38.185" />
      <option name="PORT" value="5005" />
      <option name="AUTO_RESTART" value="false" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="5005" />
        <option name="LOCAL" value="false" />
      </RunnerSettings>
      <method v="2" />
    </configuration>
    <configuration name="ClientApiApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="client-api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.wteam.ClientApiApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CommonApiApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="common-api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.wteam.CommonApiApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GeneratorApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true" nameIsGenerated="true">
      <module name="generator" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.wteam.generator.GeneratorApplication" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.wteam.generator.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ManagerApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="manager-api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.wteam.ManagerApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.main" />
      <item itemvalue="Application.StringDataExtractionTest" />
      <item itemvalue="Application.com.wteam.controller.card.Main" />
      <item itemvalue="Application.RegistrationTask" />
      <item itemvalue="Remote JVM Debug.139" />
      <item itemvalue="Spring Boot.ClientApiApplication" />
      <item itemvalue="Spring Boot.CommonApiApplication" />
      <item itemvalue="Spring Boot.ManagerApplication" />
      <item itemvalue="Spring Boot.GeneratorApplication" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Spring Boot.GeneratorApplication" />
        <item itemvalue="Application.RegistrationTask" />
        <item itemvalue="Application.main" />
        <item itemvalue="Application.com.wteam.controller.card.Main" />
        <item itemvalue="Application.StringDataExtractionTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="8eaaf244-eba9-47b2-a128-7c46802a5971" name="Changes" comment="" />
      <created>1694782469135</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1694782469135</updated>
      <workItem from="1694782470230" duration="4285000" />
      <workItem from="1694786794782" duration="1500000" />
      <workItem from="1694788815274" duration="12819000" />
      <workItem from="1695461162213" duration="45802000" />
      <workItem from="1695801060207" duration="351000" />
      <workItem from="1695801446071" duration="2692000" />
      <workItem from="1695812791369" duration="21661000" />
      <workItem from="1695907845794" duration="55213000" />
      <workItem from="1696019978925" duration="151008000" />
      <workItem from="1696601308312" duration="675000" />
      <workItem from="1696674064486" duration="8434000" />
      <workItem from="1696685203750" duration="45247000" />
      <workItem from="1696942478933" duration="29422000" />
      <workItem from="1697102857964" duration="50076000" />
      <workItem from="1697271166115" duration="44304000" />
      <workItem from="1697465578455" duration="11466000" />
      <workItem from="1697610300076" duration="13582000" />
      <workItem from="1697626429470" duration="6966000" />
      <workItem from="1697713030681" duration="1835000" />
      <workItem from="1697715484067" duration="2070000" />
      <workItem from="1697722778763" duration="2300000" />
      <workItem from="1697876913258" duration="7935000" />
      <workItem from="1697887182792" duration="6858000" />
      <workItem from="1698057786406" duration="186000" />
      <workItem from="1698059500668" duration="4236000" />
      <workItem from="1701417552397" duration="1655000" />
      <workItem from="1701427380779" duration="1603000" />
      <workItem from="1701432893921" duration="33000" />
      <workItem from="1704369039265" duration="159000" />
      <workItem from="1712576927968" duration="4703000" />
      <workItem from="1712587571052" duration="1506000" />
    </task>
    <task id="LOCAL-00001" summary="init2">
      <created>1696846465336</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1696846465336</updated>
    </task>
    <task id="LOCAL-00002" summary="finally">
      <option name="closed" value="true" />
      <created>1697715825395</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1697715825395</updated>
    </task>
    <task id="LOCAL-00003" summary="finally">
      <option name="closed" value="true" />
      <created>1697715996611</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1697715996611</updated>
    </task>
    <task id="LOCAL-00004" summary="提交测试版">
      <option name="closed" value="true" />
      <created>1704369150710</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1704369150710</updated>
    </task>
    <task id="LOCAL-00005" summary="drone-01">
      <option name="closed" value="true" />
      <created>1712585142307</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1712585142307</updated>
    </task>
    <task id="LOCAL-00006" summary="drone-01-注释掉通知stage">
      <option name="closed" value="true" />
      <created>1712586803778</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1712586803778</updated>
    </task>
    <option name="localTasksCounter" value="7" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="init2" />
    <MESSAGE value="finally" />
    <MESSAGE value="提交测试版" />
    <MESSAGE value="drone-01" />
    <MESSAGE value="drone-01-注释掉通知stage" />
    <option name="LAST_COMMIT_MESSAGE" value="drone-01-注释掉通知stage" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>